=== debian/control ===
Source: ros-galactic-moveit-ros-warehouse
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-ros-planning, ros-galactic-rclcpp, ros-galactic-tf2-eigen, ros-galactic-tf2-ros, ros-galactic-warehouse-ros, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-ros-warehouse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-moveit-core, ros-galactic-moveit-ros-planning, ros-galactic-rclcpp, ros-galactic-tf2-eigen, ros-galactic-tf2-ros, ros-galactic-warehouse-ros, ros-galactic-ros-workspace
Description: Components of MoveIt connecting to MongoDB
